Summary:        A keyboard configuration library
Name:           libgnomekbd
Version:        3.28.1
Release:        6%{?dist}
License:        LGPLv2+
URL:            http://gswitchit.sourceforge.net
Source0:        https://download.gnome.org/sources/libgnomekbd/3.28/libgnomekbd-%{version}.tar.xz

BuildRequires:  gettext-devel gtk3-devel >= 3.0.0 cairo-devel libxklavier-devel gobject-introspection-devel
BuildRequires:  desktop-file-utils  meson

%description
The libgnomekbd package contains a GNOME library which manages
keyboard configuration and offers various widgets related to
keyboard configuration.


%package        devel
Summary:        Development files for libgnomekbd
Requires:       libgnomekbd = %{version}-%{release}


%description    devel
The libgnomekbd-devel package contains libraries and header files for
developing applications that use libgnomekbd.


%prep
%autosetup

%build
%meson
%meson_build


%install
%meson_install

%find_lang libgnomekbd

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/gkbd-keyboard-display.desktop


%files -f %{name}.lang
%license COPYING.LIB
%{_libdir}/libgnomekbd.so.8*
%{_libdir}/libgnomekbdui.so.8*
%{_datadir}/libgnomekbd
%{_datadir}/glib-2.0/schemas/org.gnome.libgnomekbd*.gschema.xml
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Gkbd-3.0.typelib
%{_bindir}/gkbd-keyboard-display
%{_datadir}/applications/gkbd-keyboard-display.desktop
%{_datadir}/GConf/gsettings/libgnomekbd.convert

%files devel
%{_libdir}/libgnomekbd.so
%{_libdir}/libgnomekbdui.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Gkbd-3.0.gir


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.28.1-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.28.1-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.28.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.28.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.28.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Aug 2 2022 Feng Weiyao <wynnfeng@tencent.com> - 3.28.1-1
- package init.
